Bug 221727 - Review Request: cssed - CSS editor and validator
Review Request: cssed - CSS editor and validator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
: 174063 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-06 17:59 EST by Rafał Psota
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 10:14:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2007-01-06 17:59:45 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed-0.4.0-1.fc6.src.rpm
Description: cssed is a small developer editor and validator, that tries to ease the CSS
editing.

It features syntax highlighting, syntax validation, MDI notebook based
interface, quick CSS properties and values insertion, auto-completion and
dialog-based insertion of CSS complex values.

Being a CSS editor, it's not limited to this language. cssed haved some
support for HTML (with embbeded Javascript), XML, Javascript, Java, PHP, JSP,
C, C++, Apache configuration files, .htaccess, Python, Perl, SQL, SH and other
languages so it can serve quite well as multi-purpose editor.

rpmlint returns only W: cssed-devel no-documentation.

There is a review request already but it's inactive (bug 174063).

This is one of my first packages so I'm looking for a sponsor.
Comment 1 Michał Bentkowski 2007-01-07 08:10:23 EST
*** Bug 174063 has been marked as a duplicate of this bug. ***
Comment 2 Michał Bentkowski 2007-01-07 08:22:07 EST
I'll review it.
Comment 3 Michał Bentkowski 2007-01-07 09:03:06 EST
REVIEW:
 * rpmlint gives me following result:
W: cssed-devel no-documentation
can be ignored because of lack of any devel-related documentation
 * I have no objection to name of package and spec file
 * package is licensed under a GPL license and the license file is included
into %doc
 * package builds fine in mock fc6/x86_64
 * sources match upstream (md5: ff7c818d1f819b7d76b4f714be64e08e)
 * locales are handled well
 * all directories are properly owned
!* %clean section presents but looks bad, you should change it to
rm -rf %{buildroot}
 * %defattr macro presents in all %files sections
 * macros used well
 * -devel subpackage presents and looks good
!* bad icon tag in desktop-file

THINGS to do:
 * change %clean section
 * you have used cssed.png entry in desktop.file but that file doesn't exist.
It seems to me that the best way would be changing it to
/usr/share/cssed/pixmaps/cssed-about.png
Comment 4 Rafał Psota 2007-01-07 09:17:40 EST
(In reply to comment #3)
> THINGS to do:
>  * change %clean section
>  * you have used cssed.png entry in desktop.file but that file doesn't exist.
> It seems to me that the best way would be changing it to
> /usr/share/cssed/pixmaps/cssed-about.png

Fixed.

Spec URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed-0.4.0-2.fc6.src.rpm
Comment 5 Michał Bentkowski 2007-01-07 11:53:58 EST
It's better to check rpmlint again before sending an each new release. If you
made that, you would see following result:
W: cssed macro-in-%changelog clean
It means you have to double % character before clean, so write %%clean instead
of %clean in changelog.
Comment 6 Rafał Psota 2007-01-07 12:59:58 EST
(In reply to comment #5)
> It's better to check rpmlint again before sending an each new release. If you
> made that, you would see following result:
> W: cssed macro-in-%changelog clean
> It means you have to double % character before clean, so write %%clean instead
> of %clean in changelog.

Fixed.

Spec URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed-0.4.0-3.fc6.src.rpm
Comment 7 Michał Bentkowski 2007-01-07 13:29:36 EST
Okay, now it does look fine.
Package is approved.
I'll sponsor you. Just request your cvsextras and fedorabugs account.
After then you'll be able to import and build your package.
Read http://fedoraproject.org/wiki/Extras/Contributors carefully to know what
you're to do.
If package builds fine, don't forget to close that ticket.
Comment 8 Mamoru TASAKA 2007-01-07 13:32:27 EST
Well, I have to make some comments:

* Please check the requirement for -devel package.
  cssed.pc includes the line:
-----------------------------------------------
Requires: gtk+-2.0 glib-2.0
-----------------------------------------------
  This means that -devel package needs "Requires: gtk2-devel"
  Also,
-----------------------------------------------
Cflags: -I${prefix}/share/cssed/include
-----------------------------------------------
  points to a wrong directory. Also this file 
  has a strange coding at the end (try "cat cssed.pc").

* Please avoid to use autotools when it is possible.
  It seems that from your patch against Makefile.am and
  the content of Makefile.in, you can make a patch against 
  Makefile.in, not against Makefile.am with ease.

* Please remove redundant BuildRequires. For example,
  glib2-devel is always required by gtk2-devel, so
  writting "glib2-devel"
Comment 9 Mamoru TASAKA 2007-01-07 13:40:16 EST
Also:

* some header files have CRLF (i.e. Windows-like) end-of-line
  encodings and these should be fixed.
* fedora-cssed.desktop includes:
-------------------------------------------
Categories=Application;Development;TextEditor;X-Fedora;
-------------------------------------------
  Two categories "Application" "X-Fedora" is now deprecated and so
  these should be removed.
Comment 10 Mamoru TASAKA 2007-01-07 13:48:47 EST
Also one issue.
/usr/include/cssed/SciLexer.h includes:
----------------------------------------------
// Copyright 1998-2002 by Neil Hodgson <neilh@scintilla.org>
// The License.txt file describes the conditions under which this software may
be distributed.
----------------------------------------------
So please include scintilla/License.txt 

Note: this is MIT? If so, the license of this "whole" package
      is still GPL.
Comment 11 Rafał Psota 2007-01-07 16:50:10 EST
I fixed all these things.

Spec URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/cssed/cssed-0.4.0-4.fc6.src.rpm
Comment 12 Mamoru TASAKA 2007-01-08 09:18:33 EST
Okay, all I pointed out is now fixed and I can say
that this package can be imported to Fedora Extras.

Note You need to log in before you can comment on or make changes to this bug.